/*
 * Copyright (c) 2010-2016, Freescale Semiconductor, Inc.
 * Copyright (c) 2016-2021, NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */
#ifndef __METERINGRUN3PH_H
#define __METERINGRUN3PH_H

/*******************************************************************************
 * Definitions
 ******************************************************************************/
#define METBUFS 2
#define nBUFFERS 2
#define zQCYCLE 256
#define POWERTOENERGY      (74.56540444)
/******************************************************************************
 * Prototypes                                                 *
 ******************************************************************************/
extern   uint8  RBuffer3Ph;

extern void ClearEnergies(void);
extern void InitEnergies(void);
extern void ReadBuckets(void);
extern void CheckEnergies(void);
extern void BackupEnergies(void);             
extern void IncEnerReg(uint8 EnerType);
extern void DoSyncing(void);
#endif /* __METERINGRUN3PH_H */
